package com.yfd.platform.exception;

import com.yfd.platform.modules.storage.model.param.IStorageParam;
import lombok.Getter;

/**
 * 存储源自动设置 cors 异常
 *
 * @author zhengsl
 */
@Getter
public class StorageSourceAutoConfigCorsException extends RuntimeException {

	private final IStorageParam iStorageParam;

	public StorageSourceAutoConfigCorsException(String message, Throwable cause, IStorageParam iStorageParam) {
		super(message, cause);
		this.iStorageParam = iStorageParam;
	}

}
