package com.yfd.platform.annotation;

import com.yfd.platform.modules.storage.model.bo.StorageSourceParamDef;
import com.yfd.platform.modules.storage.model.param.IStorageParam;

import java.util.List;

/**
 * 存储源参数下拉值接口.
 *
 * @author zhengsl
 */
public interface StorageParamSelect {

	/**
	 * 获取存储源参数下拉选项列表.
	 *
	 * @param   storageParamItem
	 *          存储源下拉参数定义
	 *
	 * @param   targetParam
	 *          存储源参数
	 *
	 * @return  存储源参数下拉选项列表
	 */
	List<StorageSourceParamDef.Options> getOptions(StorageParamItem storageParamItem, IStorageParam targetParam);

}
